package de.hs_mannheim.informatik.domain;

import java.util.ArrayList;

public class Produkt {
    public final static ArrayList<Produkt> produktListe = new ArrayList<>();

    static {
        produktListe.add(new Produkt(17, 250.00, 3.99, "Gieskanne", "Premium Gärtner-Gieskanne"));
        produktListe.add(new Produkt(123, 120.00, 21.98, "Hut", "Perfekt für die Hutablage"));
        produktListe.add(new Produkt(7, 200.00, 3.99, "Dosenwurst", "LWWRSCHT: das Pfälzer Original, nur kurz im Angebot"));
        produktListe.add(new Produkt(23, 1300.00, 18.99, "Gartenschlauch", "10 m, dehnbar bis auf die doppelte Länge"));
        produktListe.add(new Produkt(99, 287.00, 2.99, "Schraubenset", "100 zufällig ausgewählte Schrauben"));
        produktListe.add(new Produkt(13, 900.00, 25.00, "Akkuschrauber", "Mit extra großem Drehmoment"));
    }

    private double preis;
    private double gewicht;
    private int bestand;
    private String name;
    private String beschreibung;

    public Produkt(int bestand, double gewicht, double preis, String name, String beschreibung) {
        this.bestand = bestand;
        this.gewicht = gewicht;
        this.preis = preis;
        this.name = name;
        this.beschreibung = beschreibung;
    }

    public static Produkt produktfinden(String produktname) {
        for (Produkt produkt : produktListe) {
            if (produkt.getName().equalsIgnoreCase(produktname)) {
                return produkt;
            }
        }
        return null;
    }

    public String getBeschreibung() {
        return beschreibung;
    }

    public void setBeschreibung(String beschreibung) {
        this.beschreibung = beschreibung;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public double getPreis() {
        return preis;
    }

    public double getGewicht() {
        return gewicht;
    }

    public int getBestand() {
        return bestand;
    }

    public void setPreis(double preis) {
        this.preis = preis;
    }

    public void setBestand(int bestand) {
        this.bestand = bestand;
    }

    public void setGewicht(double gewicht) {
        this.gewicht = gewicht;
    }
}
